/* #Menus */
.main-navigation {
	font-style: $h6_font_style;
	font-weight: $h6_font_weight;
	font-family: @font_family( $h6_font_family );
}

/* #Main Menu */
.main-navigation .menu > li > a,

.jet-menu >li >a {
	color: $regular_text_color;
}

.main-navigation .menu > li > a:hover,
.main-navigation .menu > li.menu-hover > a,
.main-navigation .menu > li.current_page_item > a,
.main-navigation .menu > li.current_page_ancestor > a,
.main-navigation .menu > li.current-menu-item > a,
.main-navigation .menu > li.current-menu-ancestor > a,

.jet-menu >li.jet-menu-hover >a,
.jet-menu >li.jet-current-menu-item >a {
	color: $regular_link_hover_color;
}

@media (min-width: 768px) {
	.invert .main-navigation .menu > li > a,

	.invert .jet-menu >li >a,
	.invert .jet-menu >li.jet-menu-hover >a,
	.invert .jet-menu >li.jet-current-menu-item >a{
		color: $invert_accent_color_1;
	}
}

.main-navigation .sub-menu a,

.jet-custom-nav .jet-custom-nav__item >a,

.jet-sub-menu >li >a {
	color: $regular_text_color;
}

.main-navigation .sub-menu li,

.jet-custom-nav,
.jet-custom-nav .jet-custom-nav__item >a,

.jet-sub-menu >li >a {
	border-color: $grey_color_1;
}

.jet-sub-menu >li.jet-menu-hover >a,
.jet-sub-menu >li.jet-current-menu-item >a,

.jet-custom-nav .jet-custom-nav__item.hover-state >a,

.main-navigation .sub-menu a:hover,
.main-navigation .sub-menu li.menu-hover > a,
.main-navigation .sub-menu li.current_page_item > a,
.main-navigation .sub-menu li.current_page_ancestor > a,
.main-navigation .sub-menu li.current-menu-item > a,
.main-navigation .sub-menu li.current-menu-ancestor > a {
	color: $regular_accent_color_1;
	background-color: $grey_color_1;
}

@media (max-width: 767px) {
	.main-navigation .menu li > a:hover,
	.main-navigation .menu i.menu-hover > a,
	.main-navigation .menu li.current_page_item > a,
	.main-navigation .menu li.current_page_ancestor > a,
	.main-navigation .menu li.current-menu-item > a,
	.main-navigation .menu li.current-menu-ancestor > a {
		color: $regular_accent_color_1;
		background-color: $grey_color_1;
	}

	.main-navigation .menu li {
		border-color: $grey_color_1;
	}
}

/* ##Menu toggle */
.menu-toggle .menu-toggle-inner {
	background-color: $regular_text_color;
}
.invert .menu-toggle:not(:hover) .menu-toggle-inner {
	background-color: $invert_accent_color_1;
}
.menu-toggle:hover .menu-toggle-inner {
	background-color: $regular_accent_color_1;
}

.jet-mobile-menu-toggle-button {
	background-color: $regular_accent_color_1;
	color: $invert_accent_color_1;
}

/* ##Menu-item desc */
.menu-item__desc,

.jet-menu-item-desc {
	font-style: $body_font_style;
	font-weight: $body_font_weight;
	font-family: @font_family( $body_font_family );
	letter-spacing: $body_letter_spacing{em};
	text-align: $body_text_align;
	text-transform: $body_text_transform;
	color: $regular_text_color;
}

.invert .menu > li > a > .menu-item__desc,

.invert .jet-menu-item-desc.top-level-desc {
	color: $invert_text_color;
}

/* #Footer Menu */
.footer-menu a {
	color: $regular_link_hover_color
}
.footer-menu a:hover,
.footer-menu li.current-menu-item a,
.footer-menu li.current_page_item a {
	color: $regular_link_color
}
.invert .footer-menu a {
	color: $invert_link_color;
}
.invert .footer-menu a:hover,
.invert .footer-menu li.current-menu-item a,
.invert .footer-menu li.current_page_item a {
	color: $invert_link_hover_color
}

/* #Top Menu */
.top-panel__menu li.current-menu-item a,
.top-panel__menu li.current_page_item a {
	color: $regular_link_hover_color
}

.invert .top-panel__menu li.current-menu-item a,
.invert .top-panel__menu li.current_page_item a {
	color: $invert_link_hover_color
}

.top-panel__menu .top-panel__menu-list .menu-item:not(:last-child),
.social-login-menu .social-login-list__item:not(:last-child) {
	border-color: @darken($grey_color_1, 8);
}